Subject: bug#62260: 30.0.50; [PATCH] Restrict auto-save file mode

From: Manuel Giraud <[email-masked]>
Date: Sat, 18 Mar 2023 20:16:08 +0100

Eli Zaretskii <[email-masked]> writes:

>> I've tried it but I'm not able to come with such an example.  With this
>> patch, the auto-save file has always a mode of 0600 even for a file with
>> a mode of 0006 not own by me.
>
> Did you try a different user?

I've just tried but with sudo over TRAMP.  I had a message about the
lock that I stole and then Emacs created another auto-save file with
TRAMP naming (this file is also mode 0600).

I guess that using TRAMP is cheating here and that I should really be
another user using Emacs and trying to open this same file...  Then I
guess I won't be able to recover from (or write to) this auto-save file.
But does this kind of scenarios appear in real life?
-- 
Manuel Giraud